## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-python-multipart
Version:        0.0.16
Release:        %autorelease
Summary:        A streaming multipart parser for Python

License:        Apache-2.0
URL:            https://github.com/Kludex/python-multipart
Source:         %{pypi_source python_multipart}

BuildArch:      noarch

BuildRequires:  python3-devel

# See testenv.deps from
# https://github.com/Kludex/python-multipart/blob/%%{version}/tox.ini.  Because
# of unwanted coverage dependencies and arguments, it’s not worth packaging
# from the GitHub source archive and generating test dependencies with tox;
# it’s much easier to just enumerate them manually.
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist PyYAML}

%global common_description %{expand:
Python-Multipart is a streaming multipart parser for Python.}

%description %{common_description}


%package -n python3-python-multipart
Summary:        %{summary}

# Prior to Fedora 41, the python-multipart package provided this library,
# https://pypi.org/project/python-multipart/. In Fedora 41, the
# python-python-multipart package was introduced and python-multipart was
# repurposed for https://pypi.org/project/multipart/. See
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_library_naming.
#
# Prior to release 0.0.13, this package used the same import namespace (“import
# multipart”); this means there were file conflicts. This is not generally
# allowable, but there was no way to avoid it in this case. See:
#
#   Namespace conflict with multipart package
#   https://github.com/Kludex/python-multipart/issues/149
#
# Since release 0.0.13, the importable package name is python_multipart,
# resolving the file conflict. However, there is a compatibility hack that
# allows “import multipart” to keep working, giving the “real” multipart
# package if it is installed, and this package otherwise. See
# https://github.com/Kludex/python-multipart/pull/166 for details, but note
# that the implementation changed significantly in 0.0.14 via
# https://github.com/Kludex/python-multipart/pull/168.
#
# If *both* packages are installed, there are no file conflicts because the
# compatibility hack in this package is a directory (multipart/) and the other
# package is a single-file module (multipart.py). However, anything that uses
# this package via “import multipart” will be broken if the other package is
# installed, so we maintain the RPM conflict at least until all dependent
# packages have been adapted to use “import python_multipart”, and perhaps
# until upstream removes the compatibility hack in a future version.
Conflicts:      python3-multipart
# Ensure proper upgrade path from the old package
Obsoletes:      python3-multipart < 0.1

%description -n python3-python-multipart %{common_description}


%prep
%autosetup -n python_multipart-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l python_multipart multipart


%check
%pytest


%files -n python3-python-multipart -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sun Oct 27 2024 Packit <hello@packit.dev> - 0.0.16-1
- Update to 0.0.16 upstream release
- Resolves: rhbz#2320031

* Sun Sep 29 2024 Packit <hello@packit.dev> - 0.0.12-1
- Update to 0.0.12 upstream release
- Resolves: rhbz#2315530

* Sat Sep 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.11-1
- Update to 0.0.11 (close RHBZ#2315448)

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.10-1
- Update to 0.0.10 (close RHBZ#2313998)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.9-6
- Slightly improved package description

* Tue Jun 18 2024 Miro Hrončok <miro@hroncok.cz> - 0.0.9-1
- Renamed to python-python-multipart
- Original package is now a different PyPI project (multipart)
- Fixes: rhbz#2292916

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.0.5-15
- Rebuilt for Python 3.11

* Wed Jan 26 2022 Carl George <carl@george.computer> - 0.0.5-14
- Fix FTBFS rhbz#2046037

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.0.5-11
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-8
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 15 2018 Carl George <carl@george.computer> - 0.0.5-2
- Only build python2 subpackage on RHEL

* Sun Oct 14 2018 Carl George <carl@george.computer> - 0.0.5-1
- Initial package

## END: Generated by rpmautospec
